OpenTTD Source: src/sprite.cpp File Reference

OpenTTD Source 13.2.1

Functions
sprite.cpp File Reference
`#include "stdafx.h"`
`#include "sprite.h"`
`#include "viewport_func.h"`
`#include "landscape.h"`
`#include "spritecache.h"`
`#include "zoom_func.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
void | DrawCommonTileSeq (const TileInfo *ti, const DrawTileSprites *dts, TransparencyOption to, int32 orig_offset, uint32 newgrf_offset, PaletteID default_palette, bool child_offset_is_unsigned)
| Draws a tile sprite sequence. More...
void | DrawCommonTileSeqInGUI (int x, int y, const DrawTileSprites *dts, int32 orig_offset, uint32 newgrf_offset, PaletteID default_palette, bool child_offset_is_unsigned)
| Draws a tile sprite sequence in the GUI. More...

## Detailed Description

Handling of sprites

Definition in file sprite.cpp.

## Function Documentation

## ◆ DrawCommonTileSeq()

void DrawCommonTileSeq | ( | const TileInfo * | ti,
|  | const DrawTileSprites * | dts,
|  | TransparencyOption | to,
|  | int32 | orig_offset,
|  | uint32 | newgrf_offset,
|  | PaletteID | default_palette,
|  | bool | child_offset_is_unsigned
| ) |  |

Draws a tile sprite sequence.

Parameters

  ti | The tile to draw on
  dts | Sprite and subsprites to draw
  to | The transparency bit that toggles drawing of these sprites
  orig_offset | Sprite-Offset for original sprites
  newgrf_offset | Sprite-Offset for NewGRF defined sprites
  default_palette | The default recolour sprite to use (typically company colour)
  child_offset_is_unsigned | Whether child sprite offsets are interpreted signed or unsigned

Definition at line 30 of file sprite.cpp.

References AddSortableSpriteToDraw(), DrawTileSeqStruct::delta_x, DrawTileSeqStruct::delta_z, foreach_draw_tile_seq, GB(), HasBit(), IsInvisibilitySet(), DrawTileSeqStruct::IsParentSprite(), IsTransparencySet(), PalSpriteID::pal, DrawTileSprites::seq, PalSpriteID::sprite, SPRITE_MODIFIER_CUSTOM_SPRITE, SPRITE_MODIFIER_OPAQUE, SPRITE_WIDTH, SpriteLayoutPaletteTransform(), TileInfo::x, TileInfo::y, and TileInfo::z.

Referenced by DrawNewGRFTileSeq(), DrawOrigTileSeq(), and DrawRailTileSeq().

## ◆ DrawCommonTileSeqInGUI()

void DrawCommonTileSeqInGUI | ( | int | x,
|  | int | y,
|  | const DrawTileSprites * | dts,
|  | int32 | orig_offset,
|  | uint32 | newgrf_offset,
|  | PaletteID | default_palette,
|  | bool | child_offset_is_unsigned
| ) |  |

Draws a tile sprite sequence in the GUI.

Parameters

  x | X position to draw to
  y | Y position to draw to
  dts | Sprite and subsprites to draw
  orig_offset | Sprite-Offset for original sprites
  newgrf_offset | Sprite-Offset for NewGRF defined sprites
  default_palette | The default recolour sprite to use (typically company colour)
  child_offset_is_unsigned | Whether child sprite offsets are interpreted signed or unsigned

Definition at line 92 of file sprite.cpp.